local addonName, addon = ...
local TCL = addon.TomCatsLibs
local TourGuideFrame = _G["TomCats-HivemindTourGuideFrame"]
DEBUGTOURGUIDE = TourGuideFrame
local invitationShown = false
local pages = TCL.Data["Pages"]
local currentPage = 1

function TourGuideFrame.toggle()
    if (not invitationShown) then
        invitationShown = true
        DEFAULT_CHAT_FRAME:AddMessage("|cffff0000=================================================================|r")
        DEFAULT_CHAT_FRAME:AddMessage("Thank you for installing TomCat's Tours: The Hivemind!")
        DEFAULT_CHAT_FRAME:AddMessage("If you would like to join us to chat during this work in progress,")
        DEFAULT_CHAT_FRAME:AddMessage("click one of the links: |cff82c5ff|HclubTicket:ZKYwrakh2RE|h[Americas]|h|r    |cff82c5ff|HclubTicket:vX0rJ5SYY4|h[Europe]|h|r    |cff82c5ff|HclubTicket:4kJRd0sNYm|h[Asia]|h|r")
        DEFAULT_CHAT_FRAME:AddMessage("|cffff0000=================================================================|r")
    end
    if (TourGuideFrame:IsShown()) then
        HideUIPanel(TourGuideFrame)
    else
        ShowUIPanel(TourGuideFrame)
    end
end

local function ADDON_LOADED(_, event, ...)
    local var1 = select(1, ...)
    if (var1 == addon.name) then
        TCL.Events.UnregisterEvent("ADDON_LOADED", ADDON_LOADED)
        UIPanelWindows["TomCats-HivemindTourGuideFrame"] = UIPanelWindows["SpellBookFrame"]
        TourGuideFrame.portrait:SetTexture("Interface\\AddOns\\" .. addon.name .. "\\images\\hivemind-icon");
        TourGuideFrame.portrait:SetTexCoord(0, 1, 0, 1);
        PortraitFrameTemplate_SetTitle(TourGuideFrame, "TomCat's Tours: The Hivemind");
        ButtonFrameTemplate_HideButtonBar(TourGuideFrame);
        ButtonFrameTemplate_HideAttic(TourGuideFrame);
        TourGuideFrame.pageNavigationFrame.nextPageButton:SetScript("OnClick", TourGuideFrame.nextPage)
        TourGuideFrame.pageNavigationFrame.prevPageButton:SetScript("OnClick", TourGuideFrame.prevPage)
        TourGuideFrame.pageNavigationFrame.pageText:SetFormattedText(PAGE_NUMBER, currentPage)
        TourGuideFrame.content:SetText(pages[currentPage].content);
        TourGuideFrame.pageNavigationFrame.prevPageButton:Disable()
    end
end

function TourGuideFrame.nextPage()
    if (currentPage < #pages) then
        currentPage = currentPage + 1
        TourGuideFrame.pageNavigationFrame.pageText:SetFormattedText(PAGE_NUMBER, currentPage)
        if (currentPage == #pages) then
            TourGuideFrame.pageNavigationFrame.nextPageButton:Disable()
        end
        TourGuideFrame.content:SetText(pages[currentPage].content);
        TourGuideFrame.pageNavigationFrame.prevPageButton:Enable()
    end
end

function TourGuideFrame.prevPage()
    if (currentPage > 1) then
        currentPage = currentPage - 1
        TourGuideFrame.pageNavigationFrame.pageText:SetFormattedText(PAGE_NUMBER, currentPage)
        if (currentPage == 1) then
            TourGuideFrame.pageNavigationFrame.prevPageButton:Disable()
        end
        TourGuideFrame.content:SetText(pages[currentPage].content);
        TourGuideFrame.pageNavigationFrame.nextPageButton:Enable()
    end
end

TCL.Events.RegisterEvent("ADDON_LOADED", ADDON_LOADED)